import { FileInfo, FileInfoFilter, QueryResult } from "@yukawa/chain-base-angular-domain";
import { HttpClient } from "@angular/common/http";
import { ConfigService, RestAspect } from '@yukawa/chain-base-angular-client';
import { DocsManagementAspect } from "../core/aspect";
import { Observable } from "rxjs";
export declare class DocsManagementService extends RestAspect implements DocsManagementAspect {
    protected http: HttpClient;
    protected configService: ConfigService;
    constructor(http: HttpClient, configService: ConfigService);
    loadFile(filter: FileInfoFilter): Observable<FileInfo>;
    queryFiles(filter: FileInfoFilter | any): Observable<QueryResult<FileInfo>>;
    deleteFile(fileId: string): Observable<any>;
    downloadFile(fileId: string): Observable<Blob>;
}
