import { FileInfo, FileInfoFilter, QueryResult } from "@yukawa/chain-base-angular-domain";
import { Observable } from "rxjs";
export interface DocsManagementAspect {
    loadFile(filter: FileInfoFilter | any): Observable<FileInfo>;
    queryFiles(filter: FileInfoFilter | any): Observable<QueryResult<FileInfo>>;
    deleteFile(fileId: string): Observable<any>;
    downloadFile(fileId: string): Observable<Blob>;
}
